package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.xq.domain.Group;
import com.ruoyi.xq.dto.app.activity.ActivityShopAppInfo;
import com.ruoyi.xq.dto.app.group.GroupInfoAppVo;
import com.ruoyi.xq.dto.app.group.GroupListAppVo;
import com.ruoyi.xq.dto.app.group.GroupQuery;

import java.util.List;

/**
 * 相亲群Service接口
 *
 * @author 77
 * @date 2024-05-15
 */
public interface GroupService extends IService<Group> {

    void removeData(List<Long> ids);

    void updateData(Group bo);

    void saveData(Group bo);

    Page<GroupListAppVo> pageApp(PageQuery pageQuery, GroupQuery groupQuery);

    GroupInfoAppVo info(Long groupId);

}
